# Get workspace subscription (/docs/rest-api/endpoints/workspaces/get-workspaces-by-id-subscription)

> For the complete Prisma documentation index, see [llms.txt](https://www.prisma.io/docs/llms.txt). A markdown version of any docs page is available by appending `.md` to its URL.

Returns subscription information for the workspace with the given ID.

Location: REST API > Endpoints > Workspaces > Get workspace subscription

Returns subscription information for the workspace with the given ID.

## API reference

### Get workspace subscription

`GET /v1/workspaces/{id}/subscription`

Returns subscription information for the workspace with the given ID.

#### Parameters

- `id` (path, string, required)

#### Responses

- `200`: Workspace subscription retrieved.
- `401`: Missing or invalid authorization token.
- `404`: Workspace with the specified ID was not found.

## Related pages

- [`Get list of workspaces`](https://www.prisma.io/docs/rest-api/endpoints/workspaces/get-workspaces): Returns the list of workspaces the current token can access.
- [`Get workspace`](https://www.prisma.io/docs/rest-api/endpoints/workspaces/get-workspaces-by-id): Returns the workspace with the given ID.